
package de.codedo.conflicteditor.gui;

import de.codedo.conflicteditor.gui.util.PreferencesAccess;

import java.util.List;

import javax.swing.AbstractListModel;
import javax.swing.MutableComboBoxModel;

public class DatabaseUrlComboBoxModel extends AbstractListModel implements MutableComboBoxModel
{
    private List<String> _urls;
    private Object _selected;

    public DatabaseUrlComboBoxModel()
    {
        super();
        _urls = new PreferencesAccess().getDatabaseUrls();
        if (_urls.size() > 0)
        {
            _selected = _urls.get(0);
        }
    }

    @Override
    public int getSize()
    {
        return _urls.size();
    }

    @Override
    public Object getElementAt(int index)
    {
        return _urls.get(index);
    }

    @Override
    public Object getSelectedItem()
    {
        return _selected;
    }

    @Override
    public void setSelectedItem(Object anItem)
    {
        _selected = anItem;
    }

    @Override
    public void addElement(Object obj)
    {
        _urls.add(obj.toString());
    }

    @Override
    public void removeElement(Object obj)
    {
        _urls.remove(obj);
    }

    @Override
    public void insertElementAt(Object obj, int index)
    {
        _urls.add(index, obj.toString());
    }

    @Override
    public void removeElementAt(int index)
    {
        _urls.remove(index);
    }
}
