
package de.codedo.conflicteditor.gui.util;

import de.codedo.conflicteditor.gui.ConflictEditor;

import java.util.ArrayList;
import java.util.List;
import java.util.prefs.BackingStoreException;
import java.util.prefs.Preferences;

public class PreferencesAccess extends Object
{
    private Preferences _rootNode;

    public PreferencesAccess()
    {
        super();
        _rootNode = Preferences.userNodeForPackage(ConflictEditor.class);
    }

    public List<String> getDatabaseUrls()
    {
        try
        {
            return collectDatabaseUrls();
        }
        catch (BackingStoreException bse)
        {
            throw new IllegalStateException(bse);
        }
    }

    private List<String> collectDatabaseUrls() throws BackingStoreException
    {
        List<String> urls = new ArrayList<String>();
        Preferences databaseUrls = _rootNode.node("databaseUrls");
        for (String key : databaseUrls.keys())
        {
            String url = databaseUrls.get(key, null);
            urls.add(url);
        }
        return urls;
    }
}
